ace-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Toni Menzel (JIRA)" <j...@apache.org>
Subject [jira] Created: (ACE-57) Make it osgi core 4.2 and cmpd 4.2 compatible at compile stage
Date Sat, 24 Oct 2009 13:40:00 GMT
Make it osgi core 4.2 and cmpd 4.2 compatible at compile stage
--------------------------------------------------------------

                 Key: ACE-57
                 URL: https://issues.apache.org/jira/browse/ACE-57
             Project: Ace
          Issue Type: Task
            Reporter: Toni Menzel


Currently ace is being compiled against older (R4?) core+cmpd jars. 
When replacing them with core+cmpd to leverage some of the new constants in some areas or
when some libraries (like an EventAdmin implementation for example) brings in R4.2 api, compiler
complains about the ambigious Event() constructor (since 1.2 api there are two, both type
compatible to (String,Properties) .. which is kind of very  annoying btw).

So it would be good to at least prepare for this to make things compile.
On the other hand, i would like to see core+cmpd jars being replaced with the new ones to
be able to use (for example) the new constants. 




-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message